org.jbpm.services.api

## Interface AdvanceRuntimeDataService

- All Known Implementing Classes:
    AdvanceRuntimeDataServiceImpl

      public interface AdvanceRuntimeDataService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROCESS_ATTR_CORRELATION_KEY`
    `static String` | `PROCESS_ATTR_DEFINITION_ID`
    `static String` | `PROCESS_ATTR_DEPLOYMENT_ID`
    `static String` | `PROCESS_ATTR_INSTANCE_ID`
    `static String` | `TASK_ATTR_NAME`
    `static String` | `TASK_ATTR_OWNER`
    `static String` | `TASK_ATTR_STATUS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariables(List<QueryParam> attributes, List<QueryParam> processVariables, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<ProcessInstanceWithVarsDesc>` | `queryProcessByVariablesAndTask(List<QueryParam> attributes, List<QueryParam> processVariables, List<QueryParam> taskVariables, List<String> potentialOwners, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<UserTaskInstanceWithPotOwnerDesc>` | `queryUserTasksByVariables(List<QueryParam> attributes, List<QueryParam> taskVariables, List<QueryParam> processVariables, List<String> potentialOwners, org.kie.api.runtime.query.QueryContext queryContext)`

- - ### Field Detail

    - #### TASK_ATTR_NAME

          static final String TASK_ATTR_NAME

      See Also:
        Constant Field Values

    - #### TASK_ATTR_OWNER

          static final String TASK_ATTR_OWNER

      See Also:
        Constant Field Values

    - #### TASK_ATTR_STATUS

          static final String TASK_ATTR_STATUS

      See Also:
        Constant Field Values

    - #### PROCESS_ATTR_INSTANCE_ID

          static final String PROCESS_ATTR_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### PROCESS_ATTR_CORRELATION_KEY

          static final String PROCESS_ATTR_CORRELATION_KEY

      See Also:
        Constant Field Values

    - #### PROCESS_ATTR_DEFINITION_ID

          static final String PROCESS_ATTR_DEFINITION_ID

      See Also:
        Constant Field Values

    - #### PROCESS_ATTR_DEPLOYMENT_ID

          static final String PROCESS_ATTR_DEPLOYMENT_ID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### queryProcessByVariables

          List<ProcessInstanceWithVarsDesc> queryProcessByVariables(List<QueryParam> attributes,
                                                                    List<QueryParam> processVariables,
                                                                    org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryProcessByVariablesAndTask

          List<ProcessInstanceWithVarsDesc> queryProcessByVariablesAndTask(List<QueryParam> attributes,
                                                                           List<QueryParam> processVariables,
                                                                           List<QueryParam> taskVariables,
                                                                           List<String> potentialOwners,
                                                                           org.kie.api.runtime.query.QueryContext queryContext)

    - #### queryUserTasksByVariables

          List<UserTaskInstanceWithPotOwnerDesc> queryUserTasksByVariables(List<QueryParam> attributes,
                                                                           List<QueryParam> taskVariables,
                                                                           List<QueryParam> processVariables,
                                                                           List<String> potentialOwners,
                                                                           org.kie.api.runtime.query.QueryContext queryContext)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.